const options = [
  {
    text: '学生',
    value: '330000',
  },
  {
    text: '老师',
    value: '320000',
  }];

Page({

  /**
   * 页面的初始数据
   */
  data: {  
    show: false,
    options,
    fieldValue: '',
    cascaderValue: '',
    gender:'',
    index:'',
    date: '',
    minDate: new Date(2010, 0, 1).getTime(),
    maxDate: new Date(2024, 0, 31).getTime(),
    showtime: false,
        // 专业选择器
        showproject:false,     //控制弹出层是否弹出的值
        columns2: ['计算机科学与技术','计算机类','数据科学与大数据技术'],   //选择器中的值
        project:'',  //选择身份之后的值进行页面显示
    
        // 美食偏好
        showhobby:false,
        columns3: ['地三鲜','烤冷面','炸薯条','鸡米花'],   //选择器中的值
        hobby:'',  //选择身份之后的值进行页面显示
  },


  onDisplay() {
    this.setData({ showtime: true });
  },
  onClose2() {
    this.setData({ showtime: false });
  },
  formatDate(date) {
    date = new Date(date);
    return `${date.getMonth() + 1}/${date.getDate()}`;
  },
  onConfirm(event) {
    this.setData({
      showtime: false,
      date: this.formatDate(event.detail),
    });
  },

    // 专业选择器
    showProject(p){    
      this.setData({showproject:true})
     //  this.setData({show:true})
    },
  // 美食偏好
  showHobby(h){    
    this.setData({showhobby:true})
   //  this.setData({show:true})
  },
  onClick() {
    this.setData({
      show: true,
    });
  },

  onClose() {
    this.setData({
      show: false,
    });
  },

  onFinish(e) {
    const { selectedOptions, value } = e.detail;
    const fieldValue = selectedOptions
        .map((option) => option.text || option.name)
        .join('/');
    this.setData({
      fieldValue,
      cascaderValue: value,
    })
  },
  showPopup() {
    this.setData({ show: true });
  },

  onClose1() {     //点击空白处开闭弹出层（选择器）及选择器左上角的取消
    this.setData({ show: false });
    this.setData({showproject:false});
    this.setData({showhobby:false});
  },
  onConfirm2(p){    //选择器右上角的确定，点击确定获取值
    this.setData({
      project:p.detail.value,
      showproject:false
    });
  },
  onConfirm3(h){    //选择器右上角的确定，点击确定获取值
    this.setData({
      hobby:h.detail.value,
      showhobby:false
    });
  },
  submitNewStuInfo(e){
    //表单输入框提交的内容包含在e参数中
  },
  submitNewStuInfo(p){
    //表单输入框提交的内容包含在e参数中
  },
  submitNewStuInfo(h){
    //表单输入框提交的内容包含在e参数中
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})